Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162809 - vgchange -ae error could be much better if vg is already in use
Summary: vgchange -ae error could be much better if vg is already in use
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2
Version: 4.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Christine Caulfield
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 20:55 UTC by Corey Marthaler
Modified: 2007-11-17 01:14 UTC (History)
5 users (show)

Fixed In Version: RHBA-2007-0287
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-07 23:57:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0287 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2007-04-28 19:01:34 UTC

Description Corey Marthaler 2005-07-08 20:55:17 UTC
Description of problem:
If I try and grab exclusive "ownership" of a vg for a machine, but that vg is
already in use or exclusive somewhere else, I get an error saying:
"Error locking on node <hostname>: Resource temporarily unavailable".
It should say something like, "VG is already activated else where, please
deactivate if you want to have exclusive access".

Comment 3 Alasdair Kergon 2006-02-01 15:15:43 UTC
Related to bug 162607.

Comment 6 Christine Caulfield 2006-10-19 08:49:22 UTC
This is what's currently in CVS:

# lvchange -ay vg/test
  Error locking on node bench-13.lab.msp.redhat.com: Volume is busy on another node
  Error locking on node bench-12.lab.msp.redhat.com: Volume is busy on another node
  Error locking on node bench-18.lab.msp.redhat.com: Volume is busy on another node
  Error locking on node bench-14.lab.msp.redhat.com: Volume is busy on another node
  Error locking on node bench-16.lab.msp.redhat.com: Volume is busy on another node
  Error locking on node bench-15.lab.msp.redhat.com: Volume is busy on another node
  Error locking on node bench-19.lab.msp.redhat.com: Volume is busy on another node


Comment 7 Corey Marthaler 2006-11-01 17:26:50 UTC
new message verified.

Comment 11 Red Hat Bugzilla 2007-05-07 23:57:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html


Note You need to log in before you can comment on or make changes to this bug.